Documentation>C API
Data Fields
VlScaleSpaceGeometry Struct Reference

Geometry of a scale space. More...

`#include <scalespace.h>`

## Data Fields

vl_size | width
vl_size | height
vl_index | firstOctave
vl_index | lastOctave
vl_size | octaveResolution
vl_index | octaveFirstSubdivision
vl_index | octaveLastSubdivision
double | baseScale
double | nominalScale

## Detailed Description

There are a few restrictions on the valid geometrties.

## Field Documentation

## ◆ baseScale

double VlScaleSpaceGeometry::baseScale

Base smoothing (smoothing of octave 0, level 0)

## ◆ firstOctave

vl_index VlScaleSpaceGeometry::firstOctave

Index of the fisrt octave

## ◆ height

vl_size VlScaleSpaceGeometry::height

Image height

## ◆ lastOctave

vl_index VlScaleSpaceGeometry::lastOctave

Index of the last octave

## ◆ nominalScale

double VlScaleSpaceGeometry::nominalScale

Nominal smoothing of the original image

## ◆ octaveFirstSubdivision

vl_index VlScaleSpaceGeometry::octaveFirstSubdivision

Index of the first octave subdivision

## ◆ octaveLastSubdivision

vl_index VlScaleSpaceGeometry::octaveLastSubdivision

Index of the last octave subdivision

## ◆ octaveResolution

vl_size VlScaleSpaceGeometry::octaveResolution

Number of octave subdivisions

## ◆ width

vl_size VlScaleSpaceGeometry::width

Image width

The documentation for this struct was generated from the following file:

- scalespace.h